% Describes a simple set of S-System equations
%
% Input:
%   t:      time
%   x:      initial values of X1, X2, X3 and X4
%   param:  vector of the parameter values (1 to 8 for production, 9-17 for
%           degradation)
%
% Wolfgang Beyer, 2007

function dx = ToyNetwork3(t,x,param)
dx = zeros(4,1);    

p=param(1:8);
d=param(9:17);

dx(1) = p(1)*x(3)^p(2) - d(1)*x(1)^d(2);
dx(2) = p(3)*x(1)^p(4) - d(3)*x(2)^d(4);
dx(3) = p(5)*x(2)^p(6) - d(5)*x(3)^d(6)*x(4)^d(7);
dx(4) = p(7)*x(1)^p(8) - d(8)*x(4)^d(9);